Subject: Re: [PATCH] powerpc/85xx: fix PHYS_64BIT selection for P1022DS

From: Anatolij Gustschin <[email-masked]>
Date: Thu, 13 Oct 2011 17:50:26 +0200

On Thu, 13 Oct 2011 10:35:04 -0500
Timur Tabi <[email-masked]> wrote:

> Kumar Gala wrote:
> >> > Why did you apply this patch?  Both Scott and I rejected it.
> 
> > Because its fixing a real issue.  If we want to remove PHYS_64BIT support or make it optional for the board feel free to send another patch.
> 
> Ok, so if someone posts a patch that works but does things the wrong way, and
> that patch gets rejected during reviews, but the submitter doesn't post a
> follow-up patch that does things the right way, you're going to apply the first
> patch anyway?

there is no 32bit address map DTS file for P1022DS in the mainline
tree. A proper patch should then also add appropriate 32bit address
map DTS file. I'm not in the position to do it currently since it would
require testing, I do not have this board to test patches for it.

Anatolij